Name:          fontconfig
Epoch:         1
Version:       2.16.1
Release:       1mamba
Summary:       Font configuration library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/fontconfig/
Source:        https://gitlab.freedesktop.org/fontconfig/fontconfig.git/%{version}/fontconfig-%{version}.tar.bz2
Source1:       fontconfig-infinality-local.conf
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libfreetype-devel
## AUTOBUILDREQ-END
BuildRequires: docbook-dtds
BuildRequires: docbook-utils
BuildRequires: docbook-dsssl
BuildRequires: sgml-common
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Fontconfig is a library for configuring and customizing font access.

%package -n lib%{name}
Summary:       A library for configuring and customizing font access
Group:         System/Libraries

%description -n lib%{name}
Fontconfig is a library for configuring and customizing font access.

%package -n lib%{name}-devel
Summary:       Header files and static library for development with FontConfig
Group:         Development/Libraries
Requires:      libfontconfig = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
Fontconfig is a library for configuring and customizing font access.
This package contains the header files and static library for development with FontConfig.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

# fonts configuration from www.infinality.net
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/local.conf

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   %{_bindir}/fc-cache -f >/dev/null
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
%{_sysconfdir}/fonts/conf.d/README
%config %{_sysconfdir}/fonts/*.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/fonts/local.conf
%{_bindir}/fc-cache
%{_bindir}/fc-cat
%{_bindir}/fc-conflist
%{_bindir}/fc-list
%{_bindir}/fc-match
%{_bindir}/fc-pattern
%{_bindir}/fc-query
%{_bindir}/fc-scan
%{_bindir}/fc-validate
%{_datadir}/gettext/its/fontconfig.its
%{_datadir}/gettext/its/fontconfig.loc
%dir %{_datadir}/fontconfig
%dir %{_datadir}/fontconfig/conf.avail
%{_datadir}/fontconfig/conf.avail/*
%dir %{_datadir}/xml/fontconfig
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/fc-cache.1*
%{_mandir}/man1/fc-cat.1*
%{_mandir}/man1/fc-conflist.1*
%{_mandir}/man1/fc-list.1*
%{_mandir}/man1/fc-match.1*
%{_mandir}/man1/fc-pattern.1*
%{_mandir}/man1/fc-query.1*
%{_mandir}/man1/fc-scan.1*
%{_mandir}/man1/fc-validate.1*
%{_mandir}/man5/fonts-conf.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfontconfig.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-, root, root)
%dir %{_includedir}/fontconfig
%{_includedir}/fontconfig/*
%{_libdir}/libfontconfig.a
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/fontconfig.pc
%{_mandir}/man3/Fc*.3*

%changelog
* Thu Mar 27 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.1-1mamba
- update to 2.16.1

* Sat Dec 23 2023 Automatic Build System <autodist@mambasoft.it> 2.15.0-1mamba
- automatic version update by autodist

* Sat Jan 28 2023 Automatic Build System <autodist@mambasoft.it> 2.14.2-1mamba
- automatic version update by autodist

* Sun Oct 23 2022 Automatic Build System <autodist@mambasoft.it> 2.14.1-1mamba
- automatic version update by autodist

* Fri Apr 01 2022 Automatic Build System <autodist@mambasoft.it> 2.14.0-1mamba
- automatic version update by autodist

* Thu Jan 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.91-2mamba
- revert to 2.13.91 to fix fonts issues

* Thu Jan 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.91-1mamba
- update to 2.13.91

* Tue Jan 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.93-1mamba
- update to 2.13.93
- local.conf: disable autohint to fix Gtk fonts

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 2.13.91-1mamba
- automatic version update by autodist

* Thu Aug 30 2018 Automatic Build System <autodist@mambasoft.it> 2.13.1-1mamba
- automatic version update by autodist

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2017 Automatic Build System <autodist@mambasoft.it> 2.12.6-1mamba
- automatic version update by autodist

* Sat Sep 09 2017 Automatic Build System <autodist@mambasoft.it> 2.12.5-1mamba
- automatic version update by autodist

* Sun Aug 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.4-2mamba
- rebuilt

* Fri Jul 28 2017 Automatic Build System <autodist@mambasoft.it> 2.12.4-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 2.12.1-1mamba
- automatic version update by autodist

* Fri Jun 17 2016 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2016 Automatic Build System <autodist@mambasoft.it> 2.11.95-1mamba
- automatic version update by autodist

* Mon Mar 28 2016 Automatic Build System <autodist@mambasoft.it> 2.11.94-1mamba
- automatic version update by autodist

* Sat Jan 31 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.1-2mamba
- local.conf: use Liberation and Free as default and fallback fonts for serif,sans and mono

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-3mamba
- update local.conf to remove errors on obsoleted variables

* Tue Feb 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-2mamba
- source package renamed from libfontconfig to fontconfig

* Sun Oct 13 2013 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 2.10.95-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 2.10.93-2mamba
- arm: rebuilt with libpng 1.6

* Tue May 21 2013 Automatic Build System <autodist@mambasoft.it> 2.10.93-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 2.10.92-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 2.10.91-1mamba
- automatic version update by autodist

* Wed Nov 28 2012 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-3mamba
- fix local.conf to remove warnings since 2.10

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-2mamba
- bump up release

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-3mamba
- install local.conf from http://www.infinality.net/files/local.conf

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.8.0-2mamba
- automatic rebuild by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic update by autodist

* Sat Aug 01 2009 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic update by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic update by autodist

* Mon Jun 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-2mamba
- libfontconfig-devel: added requirement for libfontconfig with same version

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Fri Feb 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1qilnx
- update to version 2.4.2 by autospec

* Mon Jun 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.3.2-1qilnx
- update to version 2.3.2 by autospec
- update ldconfig cache
- noreplace config files

* Wed Jun 02 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.95-1qilnx
- new version build
- added OpenOffice font path to default configuration

* Wed May 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.94-1qilnx
- new version build

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.92-2qilnx
- added missing libfontconfig.so symlink in devel package

* Fri Oct 31 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.92-1qilnx
- first build of FontConfig
